org.wildfly.swarm.config.infinispan.cache_container

## Class BehindWrite<T extends BehindWrite<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.BehindWrite<T>

-     public class BehindWrite<T extends BehindWrite<T>>
      extends Object

  Configures a cache store as write-behind instead of write-through.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehindWrite()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `flushLockTimeout()` Timeout to acquire the lock which guards the state to be flushed to the cache store periodically.
    `T` | `flushLockTimeout(Long value)` Timeout to acquire the lock which guards the state to be flushed to the cache store periodically.
    `String` | `getKey()`
    `Integer` | `modificationQueueSize()` Maximum number of entries in the asynchronous queue.
    `T` | `modificationQueueSize(Integer value)` Maximum number of entries in the asynchronous queue.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `shutdownTimeout()` Timeout in milliseconds to stop the cache store.
    `T` | `shutdownTimeout(Long value)` Timeout in milliseconds to stop the cache store.
    `Integer` | `threadPoolSize()` Size of the thread pool whose threads are responsible for applying the modifications to the cache store.
    `T` | `threadPoolSize(Integer value)` Size of the thread pool whose threads are responsible for applying the modifications to the cache store.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BehindWrite

          public BehindWrite()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### flushLockTimeout

          public Long flushLockTimeout()

      Timeout to acquire the lock which guards the state to be flushed to the cache store periodically.

    - #### flushLockTimeout

          public T flushLockTimeout(Long value)

      Timeout to acquire the lock which guards the state to be flushed to the cache store periodically.

    - #### modificationQueueSize

          public Integer modificationQueueSize()

      Maximum number of entries in the asynchronous queue. When the queue is full, the store becomes write-through until it can accept new entries.

    - #### modificationQueueSize

          public T modificationQueueSize(Integer value)

      Maximum number of entries in the asynchronous queue. When the queue is full, the store becomes write-through until it can accept new entries.

    - #### shutdownTimeout

          public Long shutdownTimeout()

      Timeout in milliseconds to stop the cache store.

    - #### shutdownTimeout

          public T shutdownTimeout(Long value)

      Timeout in milliseconds to stop the cache store.

    - #### threadPoolSize

          public Integer threadPoolSize()

      Size of the thread pool whose threads are responsible for applying the modifications to the cache store.

    - #### threadPoolSize

          public T threadPoolSize(Integer value)

      Size of the thread pool whose threads are responsible for applying the modifications to the cache store.

Copyright © 2018 JBoss by Red Hat. All rights reserved.